/*
 * Copyright (c)  2013-2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 *
 * @defgroup MINICONTROL_LIBRARY Minicontrol
 * @ingroup CAPI_UI_FRAMEWORK
 *
 * @section MINICONTROL_LIBRARY_OVERVIEW Overview
 * <table>
 * <tr>
 *    <th>API</th>
 *    <th>Description</th>
 * </tr>
 * <tr>
 *    <td>@ref MINICONTROL_PROVIDER_MODULE </td>
 *    <td>Provides functions for creating EFL socket window. Application developers can make a minicontrol by composing ELF objects on this socket window</td>
 * </tr>
 * <tr>
 *    <td>@ref MINICONTROL_VIEWER_MODULE </td>
 *    <td>Provides functions for displaying EFL socket window.<br>
 *    minicontrol holders calls this functions to attach minicontrols on UI area.</td>
 * </tr>
 * </table>
 */

/**
 * @defgroup MINICONTROL_PROVIDER_MODULE  Provider
 * @brief Minicontrol Provider APIs
 * @ingroup MINICONTROL_LIBRARY
 *
 * @section MINICONTROL_PROVIDER_MODULE_HEADER Required Header
 *   \#include <minicontrol-provider.h>
 * @section MINICONTROL_PROVIDER_MODULE_OVERVIEW Overview
 * It provides functions for creating EFL socket window.
 *
 */

/**
 * @defgroup MINICONTROL_VIEWER_MODULE  Viewer
 * @brief Minicontrol Viewer APIs
 * @ingroup MINICONTROL_LIBRARY
 *
 * @section MINICONTROL_VIEWER_MODULE_HEADER Required Header
 *   \#include <minicontrol-viewer.h>
 * @section MINICONTROL_VIEWER_MODULE_OVERVIEW Overview
 * It provides functions for displaying EFL socket window
 *
 */
